Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rrd
Class RrdFactory

    java.lang.Object
      org.neo4j.server.rrd.RrdFactory

    public class RrdFactory

extends Object

Field Summary
`static int` | `STEP_SIZE`
`static int` | `STEPS_PER_ARCHIVE`

Constructor Summary
`RrdFactory(org.apache.commons.configuration.Configuration config)`

Method Summary
`protected org.rrd4j.core.RrdDb` | `createRrdb(String inDirectory, int stepSize, int stepsPerArchive, Sampleable... sampleables)`
`org.rrd4j.core.RrdDb` | `createRrdDbAndSampler(AbstractGraphDatabase db, JobScheduler scheduler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STEP_SIZE

    public static final int STEP_SIZE

See Also:
  Constant Field Values

### STEPS_PER_ARCHIVE

    public static final int STEPS_PER_ARCHIVE

See Also:
  Constant Field Values

Constructor Detail

### RrdFactory

    public RrdFactory(org.apache.commons.configuration.Configuration config)

Method Detail

### createRrdDbAndSampler

    public org.rrd4j.core.RrdDb createRrdDbAndSampler(AbstractGraphDatabase db,
                                                      JobScheduler scheduler)
                                               throws MalformedObjectNameException,
                                                      IOException

  Throws:
    `MalformedObjectNameException`
    `IOException`

### createRrdb

    protected org.rrd4j.core.RrdDb createRrdb(String inDirectory,
                                              int stepSize,
                                              int stepsPerArchive,
                                              Sampleable... sampleables)
                                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.